Package org.eclipse.mat.parser

# Interface IPreliminaryIndex

public interface IPreliminaryIndex
Where the parser collect informations when first opening a snapshot

No Implement:

## Method Summary

Modifier and Type
Method
Description
`XSnapshotInfo`
`getSnapshotInfo()`
Get basic information about the snapshot
`void`
`setArray2size(IIndexReader.IOne2SizeIndex array2size)`
store the array to size in bytes mapping
`void`
`setClassesById(HashMapIntObject<ClassImpl> classesById)`
Store the class id to ClassImpl mapping
`void`
`setGcRoots(HashMapIntObject<List<XGCRootInfo>> gcRoots)`
store the GC roots information
`void`
`setIdentifiers(IIndexReader.IOne2LongIndex identifiers)`
store the object id to address mapping
`void`
`setObject2classId(IIndexReader.IOne2OneIndex object2classId)`
store the object id to class id mapping
`void`
`setOutbound(IIndexReader.IOne2ManyIndex outbound)`
store the object to outbound references table.
`void`
`setThread2objects2roots(HashMapIntObject<HashMapIntObject<List<XGCRootInfo>>> thread2objects2roots)`
store the thread local variable information

## Method Details

### getSnapshotInfo

XSnapshotInfo getSnapshotInfo()
Get basic information about the snapshot

Returns:
  the basic data

### setClassesById

void setClassesById(HashMapIntObject<ClassImpl> classesById)
Store the class id to ClassImpl mapping

Parameters:
  `classesById` - the map of class ID to ClassImp

### setGcRoots

void setGcRoots(HashMapIntObject<List<XGCRootInfo>> gcRoots)
store the GC roots information

Parameters:
  `gcRoots` - the map from object ID to list of GC roots

### setThread2objects2roots

void setThread2objects2roots(HashMapIntObject<HashMapIntObject<List<XGCRootInfo>>> thread2objects2roots)
store the thread local variable information

Parameters:
  `thread2objects2roots` - the map from thread ID to a map of object ID of local variables to a list of GC root information

### setOutbound

void setOutbound(IIndexReader.IOne2ManyIndex outbound)
store the object to outbound references table. The type of the object must be the first reference.

Parameters:
  `outbound` - an index from object ID to all the outbound references as object IDs

### setIdentifiers

void setIdentifiers(IIndexReader.IOne2LongIndex identifiers)
store the object id to address mapping

Parameters:
  `identifiers` - the index from object ID to object address

### setObject2classId

void setObject2classId(IIndexReader.IOne2OneIndex object2classId)
store the object id to class id mapping

Parameters:
  `object2classId` - the index from object ID to its type as a class ID

### setArray2size

void setArray2size(IIndexReader.IOne2SizeIndex array2size)
store the array to size in bytes mapping

Parameters:
  `array2size` - an index from the object ID of an array to its size in bytes
Since:
  1.0